#pragma once

#include <cinttypes>

void dataChannelFill( uint32_t base, const float * data );

void dataChannelWriteToFile( uint32_t base, const char * filename );

void dataChannelCheckAndWriteToFile( uint32_t base,
    const float * expected, const char * filename );

void dataChannelCheckAndWriteToFile( uint32_t base,
    const uint32_t * expected, const char * filename );

void dataChannelCheck( uint32_t base,
    uint32_t expected, const char * filename );

